Subject: Re: bug#22976: 24.5; setting unread-command-events to non cons puts emacs in 100% CPU use

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Mar 2016 12:39:00 +0200

> Date: Thu, 10 Mar 2016 12:34:08 +0200
> From: Eyal Lotem <[email-masked]>
> Cc: Andreas Schwab <[email-masked]>, [email-masked]
> 
> It can be set to any value at all, unfortunately.

That's not what I asked.  I asked whether non-nil, non-cons values
have any meaning in unread-command-events.

> The problem now is that non-cons/non-nil values are ignored.
> 
> The loop to repeatedly thinks there's input so it consumes 100% cpu, each iteration seeing that it isn't a cons
> cell, so there's "nothing to do".

Exactly.  So these values aren't ignored, they create an illusion that
some input is available.  I was thinking about ignoring them entirely,
i.e. treating such values as nil (and maybe even silently replacing
them with nil).

The question is: would that kind of change break something?